%define distro 4.1 SKIF
%ifndef dtext
%define dtext %distribution %distro
%endif
%ifndef text_summary
%define text_summary %dtext
%endif
%ifndef text_descr
%define text_descr %dtext
%endif
%ifndef text_file
%define text_file %dtext (Milfoil)
%endif
%ifndef provide_list
%define provide_list altlinux fedora redhat system
%endif
%ifndef obsolete_list
%define obsolete_list altlinux-release fedora-release redhat-release
%endif
%ifndef conflicts_list
%define conflicts_list altlinux-release-sisyphus altlinux-release-4.0 altlinux-release-desktop altlinux-release-master altlinux-release-server altlinux-release-junior altlinux-release-terminal
%endif

Name: altlinux-release-skif
Version: 4.1.0
Release: alt0.M41.1

Summary: %text_summary release file
Copyright: GPL
Group: System/Configuration/Other
BuildArch: noarch

Packager: Stanislav Ievlev <inger@altlinux.org>

Provides: %(for n in %provide_list; do echo -n "$n-release = %version-%release "; done)
Obsoletes: %obsolete_list
Conflicts: %conflicts_list

%description
%text_descr release file.

%install
install -pD -m644 /dev/null %buildroot%_sysconfdir/buildreqs/packages/ignore.d/%name
echo "%text_file" >%buildroot%_sysconfdir/altlinux-release
for n in fedora redhat system; do
	ln -s altlinux-release %buildroot%_sysconfdir/$n-release
done

%files
%_sysconfdir/*-*
%_sysconfdir/buildreqs/packages/ignore.d/*

%changelog
* Wed Oct 15 2008 Stanislav Ievlev <inger@altlinux.org> 4.1.0-alt0.M41.1
- build for 4.1

* Wed Oct 15 2008 Stanislav Ievlev <inger@altlinux.org> 4.1.0-alt1
- Initial build


